> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 解析作品链接

> 接口说明：按指定平台解析社媒作品链接，返回已识别的作品基础信息、快照数组和平台扩展字段。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/v2/channels/works/link-info
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
  - name: AI 服务/大语言模型
  - name: AI 服务/真人素材
  - name: AI 服务/Agent
paths:
  /api/v2/channels/works/link-info:
    get:
      tags:
        - 渠道管理/作品
      summary: 解析作品链接
      description: 接口说明：按指定平台解析社媒作品链接，返回已识别的作品基础信息、快照数组和平台扩展字段。
      operationId: WorksController_getLinkInfo_v2
      parameters:
        - name: platform
          in: query
          description: 平台
          required: true
          example: douyin
          schema:
            type: string
            enum:
              - douyin
              - xhs
              - wxSph
              - KWAI
              - youtube
              - wxGzh
              - bilibili
              - twitter
              - tiktok
              - facebook
              - instagram
              - threads
              - pinterest
              - linkedin
              - google_business
            description: 平台
            example: douyin
            default: douyin
        - name: link
          in: query
          description: 作品链接
          required: true
          example: https://www.douyin.com/video/7667836920484196454
          schema:
            type: string
            minLength: 1
            description: 作品链接
            example: https://www.douyin.com/video/7667836920484196454
        - name: accountId
          in: query
          description: 账号 ID
          required: false
          example: ''
          schema:
            description: 账号 ID
            type: string
            minLength: 1
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      platform:
                        type: string
                      work:
                        type: object
                        properties:
                          id:
                            type: string
                          url:
                            type: string
                          mediaType:
                            type: string
                        additionalProperties: false
                      snapshots:
                        type: array
                        items:
                          type: object
                          additionalProperties: true
                      extra:
                        type: object
                        properties:
                          dataId:
                            type: string
                          uniqueId:
                            type: string
                          type:
                            type: string
                          videoType:
                            type: string
                          resolvedUrl:
                            type: string
                        additionalProperties: false
                    additionalProperties: false
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
              examples:
                success:
                  summary: 成功
                  value:
                    code: integer
                    message: string
                    data:
                      platform: string
                      work:
                        id: string
                        url: string
                        mediaType: string
                      snapshots: array
                      extra:
                        dataId: string
                        uniqueId: string
                        type: string
                        videoType: string
                        resolvedUrl: string
                    requestId: string
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 需要从 AiToEarn 获取 API Key。点击前往[「API Key 获取教程」](/zh/use/api-key)。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.